
--[[

●機能概要

FASTDB に登録されている古いデータを削除する

●リクエストパラメータ
												
なし

●リターンパラメータ

なし

●参照するグローバル共有データ

---------------------------------------------------------------------------------
キー値          値              
---------------------------------------------------------------------------------
$FASTDB_PURGE_BEFORE											"10" 
				現在日からこの日数分過去の日付よりも古いデータを削除する
				グローバル共有データが未設定の場合には "10" (10日) を使用

●備考


●変更履歴

2021/2/13	削除対象期間をグローバル共有変数から取得可能にした。

2017/04/19  初版作成

abs_agent	copyright(c) All Blue System

]]

local days_before = 10
local val = stat_check(get_shared_data("$FASTDB_PURGE_BEFORE"))
if val ~= "" then days_before = tonumber(val) end

-- 削除対象日付を取得
local now = os.date "*t"
local yyyy,mm,dd = stat_check(inc_day(-1 * days_before,now["year"],now["month"],now["day"]))
local timestamp = string.format("%4.4d/%2.2d/%2.2d 0:0:0",yyyy,mm,dd)
log_msg("data purge until " .. timestamp)

-- 全キーに対して fastdb_purge() 実行
local key_list,rec_list = stat_check(fastdb_key_list())
for key,val in ipairs(key_list) do
	stat_check(fastdb_purge(val,timestamp))
end
