
--[[

●機能概要

abs_agent が動作している OS ステータスを取得する


●リクエストパラメータ

無し


●リターンパラメータ

---------------------------------------------------------------------------------
キー値            値                                値の例
---------------------------------------------------------------------------------

CPULoad			CPU ロード平均値					0.01

CPUTemp			CPU 温度(摂氏)						43.816

FreeMemMB		フリーメモリサイズ(MBytes)			211

FreeDiskGB		root ファイルシステムのフリーディスクサイズ(GBytes)	12


●備考


●変更履歴

2021/5/3	CPUTemp 追加

2017/6/10	初版作成

]]

-- CPULoad
local top_val = ""
local cmd = [[top -bn1 | grep load | awk '{printf "%.2f",$(NF-2)}']]
local f = assert(io.popen (cmd))
for line in f:lines() do
	top_val = line
end
f:close()
script_result(g_taskid,"CPULoad",top_val)

-- CPUTemp
local cpu_temp = ""
cmd = [[cat /sys/class/thermal/thermal_zone0/temp]]
f = assert(io.popen (cmd))
for line in f:lines() do
	cpu_temp = line
end
f:close()
script_result(g_taskid,"CPUTemp",tostring(tonumber(cpu_temp)/1000))

-- FreeMem
local free_mem = ""
cmd = [[free -m | awk 'NR==2{printf "%g",$4}']]
f = assert(io.popen (cmd))
for line in f:lines() do
	free_mem = line
end
f:close()
script_result(g_taskid,"FreeMemMB",free_mem)

-- FreeDisk
local free_disk = ""
cmd = [[df -h | awk '$NF=="/"{printf "%g", $4}']]
f = assert(io.popen (cmd))
for line in f:lines() do
	free_disk = line
end
f:close()
script_result(g_taskid,"FreeDiskGB",free_disk)
