
--[[

●機能概要

I2C バスに接続した Atmel24LC256 EEPROM デバイスへの書き込みと読み込み試験

●リクエストパラメータ
---------------------------------------------------------------------------------
キー値          値                                                     値の例
---------------------------------------------------------------------------------
bus             I2C バス番号                                           "1"
                "0" または "1"を指定、省略時は "1" を使用する

●リターンパラメータ
---------------------------------------------------------------------------------
キー値          値                                                     値の例
---------------------------------------------------------------------------------
eeprom_data        EEPROM から読み込んだデータ 16進数

●備考

●変更履歴

2016/05/10    初版作成

ABS-9000 DeviceServer        copyright(c) All Blue System

]]

local slave_addr = "50"
local bus = 1

-------------------------
-- パラメータチェック
-------------------------
if g_params["bus"] then
    bus = tonumber(g_params["bus"])
end

-----------------------------------------------------------------------
-- EEPROM アドレスレジスタの値を 0x0000 に設定
-- その後、30 バイトリード
-----------------------------------------------------------------------
local stat,result = raspi_i2c_write(bus,slave_addr,"0000",30)
if not stat then error() end
script_result(g_taskid,"eeprom_data",result)
