
--[[

●機能概要

M5Stick用環境センサーHAT に搭載している BMP280 センサと DHT12センサの測定値を
インメモリデータベース FASTDBに保存する。


●変更履歴

2023/8/20    初版作成

                                            copyright(c) 2023 All Blue System

]]


---------------------------------------------------------------------------------
-- BMP280 センサー
---------------------------------------------------------------------------------
local BMP280 = stat_check(script_exec2("RASPI/DEVICE/BME280_READ",{}))
script_result("BMP280_temperature",BMP280["temperature"])
script_result("BMP280_pressure",BMP280["pressure"])

---------------------------------------------------------------------
-- 湿度センサー
---------------------------------------------------------------------
local DHT12 = stat_check(script_exec2("RASPI/DEVICE/DHT12_READ",{}))
script_result("DHT12_temperature",DHT12["temperature"])
script_result("DHT12_humidity",DHT12["humidity"])

---------------------------------------------------
-- インメモリデータベースに測定データを保存する
---------------------------------------------------
stat_check(fastdb_add("温度",tonumber(BMP280["temperature"])))
stat_check(fastdb_add("気圧",tonumber(BMP280["pressure"])))
stat_check(fastdb_add("湿度",tonumber(DHT12["humidity"])))
