
file_id = "SERIAL_FIRMATA"

--[[

******************************************************************************

一つのスクリプトの実行は長くても数秒以内で必ず終了するようにしてください。
処理に時間がかかると、イベント処理の終了を待つサーバー側でタイムアウトが発生します。

また、同時実行可能なスクリプトの数に制限があるため、他のスクリプトの実行開始が
待たされる原因にもなります。

頻繁には発生しないイベントで、処理時間がかかるスクリプトを実行したい場合は
スクリプトを別に作成して、このイベントハンドラ中から script_fork_exec() を使用して
別スレッドで実行することを検討してください。

******************************************************************************


SERIAL_FIRMATA スクリプト起動時に渡される追加パラメータ

---------------------------------------------------------------------------------
キー値          値                                                     値の例
---------------------------------------------------------------------------------
COMPort         データを送信したシリアルデバイスファイル名             "/dev/ttyUSB0"

Title           データを送信したシリアルデバイスのタイトル名           "コントローラ#1"
                タイトルが設定されていない場合にはこのパラメータは
                設定されません

FIRMATA_DATA    シリアルデバイスから読み込んだ FIRMATA プロトコルパケットのバイナリデータ。
                (16進数、可変長)                                        "0102030A0B"
---------------------------------------------------------------------------------

]]

-------------------------------------
-- FIRMATA イベントデータをログに出力
-------------------------------------
if g_params["COMPort"] and g_params["Title"] and g_params["FIRMATA_DATA"] then 
    log_msg(g_params["Title"] .. "[" .. g_params["COMPort"] .. "] " .. g_params["FIRMATA_DATA"],file_id);
end;

-----------------------------------------------------------------------------------------------------------
-- parse_firmata() を使用して、FIRMATA フレームデータを解析して文字列データと配列データに変換しています。
-- parse_firmata() ライブラリ関数の詳しい仕様とソースファイルは、
-- <abs_agent program directory>/scripts/preload/010_FIRMATA/FIRMATA_LIB.lua を参照してください
-----------------------------------------------------------------------------------------------------------
--[[
local stat,msg,data = parse_firmata(g_params["FIRMATA_DATA"])
if stat then
    -------------------------------------------------------------------
    -- FIRMATA フレームの解析が成功したら変換後の文字列をログに出力
    -------------------------------------------------------------------
    for key,val in pairs(msg) do
        log_msg("msg[" .. key .. "]=" .. val,file_id);
    end

    -------------------------------------------------------------------
    -- FIRMATA フレームにデータ配列が入っていた場合には、ログに出力
    -------------------------------------------------------------------
    if rdata ~= nil then
        for key,val in ipairs(data) do
            log_msg("data[" .. tostring(key) .. "]=" .. bit_tohex(val,2),file_id);
        end
    end
end
]]

