
file_id = "BATCH_JOB_EITHER"

--[[

バッチジョブ実行試験


                               +---> BATCH_JOB2 ----+
                               |                    |
                               |                    or
  BATCH_JOB ---> BATCH_JOB1 ---+                    +--> BATCH_JOB4_EITHER ---> BATCH_JOB (END)
                               |                    or
                               |                    |
                               +---> BATCH_JOB3 ----+


]]

log_msg("start..",file_id)

-- 全ジョブを別スレッドで起動する
-- 各々のジョブスクリプトの先頭で、先行するジョブの完了を待つためにイベント待ちを行う
-- また、各々のジョブスクリプトの終了部分で、そのジョブが完了した事をイベントをセットすることで
-- イベント待ちのジョブスクリプトに伝える
if not script_fork_exec("TEST/BATCH_JOB1","MasterTaskID",g_taskid) then error() end
if not script_fork_exec("TEST/BATCH_JOB2","MasterTaskID",g_taskid) then error() end
if not script_fork_exec("TEST/BATCH_JOB3","MasterTaskID",g_taskid) then error() end
if not script_fork_exec("TEST/BATCH_JOB4_EITHER","MasterTaskID",g_taskid) then error() end

-- 全てのジョブが終了するのを待つ
if not event_wait2(g_taskid .. "JOB1",g_taskid .. "JOB2",g_taskid .. "JOB3",g_taskid .. "JOB4",30000) then
	log_msg("event_wait2() failed",file_id)
	return
end

log_msg("all job completed",file_id)

