
--[[

●機能概要

GPIO に接続した LED を ON または OFF に設定する

●リクエストパラメータ

---------------------------------------------------------------------------------
キー値          値                                               値の例
---------------------------------------------------------------------------------
SW              出力するGPIO ポート値                            "1"
                "0" または "1"を指定

●リターンパラメータ

---------------------------------------------------------------------------------
キー値          値                                               値の例
---------------------------------------------------------------------------------
なし

●備考

●変更履歴

2016/07/18    初版作成

ABS-9000 DeviceServer        copyright(c) All Blue System

]]

local pin = 18  -- GPIO#18 を出力に設定

-- "SW" パラメータが指定されていない場合にはエラー
if not g_params["SW"] then error() end

-- 出力モードに設定。できれば SERVER_START スクリプト中に下記の設定を記述して一回だけ実行する方が好ましい
if not raspi_gpio_config(pin,"output","off") then error() end

if g_params["SW"] == "1" then
	raspi_gpio_write(pin,true)
else
	raspi_gpio_write(pin,false)
end

