

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]


log_msg("start..",g_script)

local pixel_data = {}
local pixel_idx = {}

scrollphathd_try_init()
scrollphathd_clear()

local v = 0x20
for x = 0,1535,1 do
	v = v + 0x10
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,0,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,1,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,2,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,3,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,4,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,5,v)
	scrollphathd_draw_pixel(pixel_idx,pixel_data,x,6,v)
	if v > 0xff then v = 0x20 end
end
scrollphathd_draw_commit(pixel_idx,pixel_data)

for x0 = 0,100,1 do
	scrollphathd_transfer(0,x0)
	scrollphathd_display(0)
end

