

--[[
******************************************************************************

Raspberry Pi + ScrollpHATHD テストパターン表示

このスクリプトは "preload/100_RASPI/scrollphathd" ディレクトリに格納されている
ライブラリを使用します。インストール直後はアンダースコアが先頭についたディレクトリ名
"preload/100_RASPI/_scrollphathd" なっていてロード対象から外されています。
そのため、"scrollphathd" にリネームしてからabs_agent を再起動させてライブラリを
有効にしてから使用してください。

******************************************************************************
]]

log_msg("start..",g_script)

scrollphathd_try_init()
scrollphathd_clear()

local org_x = 0
local org_y = 0

local pixel_data = {}
local pixel_idx = {}

local sw,sh = scrollphathd_draw_string(pixel_idx,pixel_data,org_x,org_y,"Hello World, ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz #$&()@+-;:<>/{}[]",2,.4)
--local sw,sh = scrollphathd_draw_string(pixel_idx,pixel_data,org_x,org_y,"Hello World!!",2,.4)

scrollphathd_draw_commit(pixel_idx,pixel_data)
scrollphathd_transfer(0,0)
scrollphathd_display(0)

local first_wait = 400
local inter_wait = 30
local max_x = org_x + sw
if (max_x > 17) then
	wait_time(first_wait)
	if max_x > 1535 then max_x = 1535 end
	for x0 = 1,max_x - 17 do
		scrollphathd_transfer(0,x0)
		wait_time(inter_wait)
	end
end

