
--[[
****************************************************************************************************************

UDPサーバーにクライアントからデータを送信すると、このイベントハンドラが実行される。

UDPSERVER_DATA イベントハンドラ中でリターンパラメータ EventResult を設定すると、サーバーにデータを送信してきた
peer クライアントにリプライパケットを送信する。EventResultを設定しなかった場合には送信しない。

イベントハンドラ起動時に渡されるパラメータ:
---------------------------------------------------------------------------------
キー値			値		            									値の例
---------------------------------------------------------------------------------

IPAddress       クライアントの IP アドレス

PeerPort        リモートポート番号

EventData       受信したバイナリデータを16進数文字列に変換したもの


イベントハンドラ中で設定することで peer クライアント側に送信されるリプライデータ:
---------------------------------------------------------------------------------
キー値			値		            									値の例
---------------------------------------------------------------------------------
EventResult     クライアントに送信するバイナリデータを16進数文字列に変換したもの
				(オプション)

****************************************************************************************************************
]]
log_msg('received from ' .. g_params['IPAddress'] .. ' data = ' .. g_params['EventData'])


--[[
**************************************************
echo サーバーサンプル実装
**************************************************
]]
script_result("EventResult",g_params["EventData"])
