
--[[

●機能概要

シリアルデバイスに登録された ZB デバイスタイプを持つポートリストを取得する。

●リクエストパラメータ

無し

●リターンパラメータ

---------------------------------------------------------------------------------
キー値			値		            									値の例
---------------------------------------------------------------------------------
Stauts			処理が成功した場合には "OK" が入る
				指定したサービスが提供されていない等で、サーバーから結果を正常に
				受け取れなかった場合にはエラーメッセージが入る
																		"OK"
count		ポートリスト数(n)											"1"		
1			<serial_port#1>
2			<serial_port#2>
..
..
n			<serial_port#n>

●備考

●変更履歴

2019/9/12	初版作成

abs_agent	copyright(c) 2019 All Blue System

]]

-- シリアルポートを検索して XBee-ZB デバイスタイプのポート名取得
local port_count = 0
local stat,com,title,dev_type,buff = serial_all_list()
if not stat then error() end
for key,val in ipairs(com) do
	if dev_type[key] == "ZB" then
		port_count = port_count + 1
		script_result(tostring(key),val)
	end
end
script_result("count",tostring(port_count))
script_result("Status","OK")
