
--[[
********************************************************************************************
ログ出力と同時に文字列リストにもメッセージを残す

ログメッセージを保存するグローバル共有文字列リストのチャンネル名は '$LOG$' + <スクリプト名>

log_msg_strlist(msg [,maxlen])
	msg:String ログメッセージ
	maxlen:Number 文字列リストに保持する最大メッセージ数 (default: 100)
********************************************************************************************
]]
function log_msg_strlist(msg,maxlen)
	maxlen = maxlen or 100
	local stat,year,month,day,hour,min,sec,millisec = now_datetime()
	local store_msg = string.format("%4.4d/%2.2d/%2.2d %2.2d:%2.2d:%2.2d.%-3d %s",year,month,day,hour,min,sec,millisec,msg)
	log_msg(msg,g_script)
	add_shared_strlist('$LOG$' .. g_script,store_msg,false,maxlen)
end
