
--[[
********************************************************************************************

	マトリックス操作用ライブラリ

	ver1.0	2024/3/16 初版作成

	copyright(c) 2024 All Blue System 

********************************************************************************************
]]

--------------------------------------------
-- matrix_print(A [,title])
--------------------------------------------
function matrix_print(x,title)
	local m = x[1]
	local n = x[2]
	if (#x < 3) or ((m*n + 2) ~= #x) then error() end -- check matrix format
	if title then log_msg(title .. ' = [')	else log_msg('[') end
	for i = 0,m-1 do
		local line = ''
		for j = 0,n-1 do
			line = line .. string.format('  %g',x[3+i*n+j])
		end
		log_msg(line)
	end
	log_msg(']')
end

--------------------------------------------
-- maxtrix_vprint(x [,title [,column_vector]])
--------------------------------------------
function maxtrix_vprint(x,title,column_vector)
	local n = #x
	if column_vector then
		if title then log_msg(title .. ' = [')	else log_msg('[') end
		for j = 1,n do
			log_msg(string.format('  %g',x[j]))
		end
		log_msg(']')
	else
		local line = ''
		if title then
			line = title .. ' = ['	
		else
			line = '['
		end
		for j = 1,n do
			line = line .. string.format('  %g',x[j])
		end
		line = line .. '  ]'
		log_msg(line)
	end
end

--------------------------------------------
-- idx = matrix_index(A,i,j)
--------------------------------------------
function matrix_index(x,i,j)
	local m = x[1]
	local n = x[2]
	if (#x < 3) or ((m*n + 2) ~= #x) then error() end
	if (i < 1) or (i > m) or (j < 1) or (j > n) then error() end
	return 3+(i-1)*n+(j-1)
end

--------------------------------------------
-- m,n = matrix_dim(A)
--------------------------------------------
function matrix_dim(x)
	local m = x[1]
	local n = x[2]
	if (#x < 3) or ((m*n + 2) ~= #x) then error() end
	return m,n
end

